#############################################################################################
#############################################################################################
##
## DOCMAN 
##
#############################################################################################
#############################################################################################


DOCMAN_BIN           ?= $(VENDOR_PATH)docman
DOCMAN_CONFIG_PATH   ?= $(DOCUMENTATION_CONFIG_PATH)docman.yaml
DOCMAN_HTML_ARTEFACT ?= $(PROJECT_ROOT)deployment/build/manual.html
DOCMAN_PDF_ARTEFACT  ?= $(PROJECT_ROOT)deployment/build/manual.pdf
DOCMAN_SOURCE        ?= $(shell find $(DOCUMENTATION_PATH) -type f)

$(DOCMAN_BIN):
	$(QUIET) $(MKDIR) -p $(VENDOR_PATH)
	$(QUIET) $(WGET) -O $(DOCMAN_BIN) http://download.schukai.com/tools/docman/docman-$(shell uname -s | tr [:upper:] [:lower:])-$(shell echo `uname -m | sed s/aarch64/arm64/ | sed s/x86_64/amd64/`)
	$(QUIET) $(CHMOD) u+x $(DOCMAN_BIN)
